/**
 * dpt_xcServer 1.0 
 * author:zxy
 * Time：2022年1月2日
 * last update time：2022年1月2日09:10:22
 */

const fs = require("fs");
const path = require('path');

/* 基础配置 */
let baseConfigPath = path.join(process.cwd(), "./config/baseConfig.json");
let baseConfig = fs.readFileSync(baseConfigPath, "utf-8");


/* pgconfig2 */
let pgConfigPath = path.join(process.cwd(), "./config/pgConfig.json");
let pgConfig = fs.readFileSync(pgConfigPath, "utf-8");

/* 系统配置文件 */
const u_config = {
    base: JSON.parse(baseConfig),
    pgConfig: JSON.parse(pgConfig)
};

global.u_config = u_config;

//设置系统环境
process.env.NODE_ENV = "development" //production


//主函数 入口
require("./Source/app.js");