// 倾斜数据管理模块
const express = require("express");
const router = express.Router();

const pgClient = require("../../core/pgClient/pgClient.js");

const sqlUtil = require("./sql.js");

/* 1.获取所有数据 */
// get、post都行
router.get("/listXiang", function(req, res) {
    let sqlstr = `select name from public.qinshui_xiang`
    // 执行sql
    pgClient.query(sqlstr).then((data) => {
        res.send(data);
    });
});

//获取乡的所有信息
router.get("/listXiang1", function(req, res) {
    let sqlstr = `select name, information, st_asgeojson(geom), st_asgeojson(ST_Centroid(geom)) as center from public.qinshui_xiang_dqw`
    // 执行sql
    pgClient.query(sqlstr).then((data) => {
        res.send(data);
    });
});

// 查询乡 by Name
router.get("/getXiangByName", function(req, res) {
    let sqlstr = `select name,st_asgeojson(geom) from public.qinshui_xiang where name = '${req.query.xiang}'  `
    // 执行sql
    pgClient.query(sqlstr).then((data) => {
        res.send(data);
    });
});
module.exports = router;