const express = require("express");
const router = express.Router();

const pgClient = require("../../core/pgClient/pgClient.js");

/* 1.获取所有数据 */
router.get("/getUser", function(req, res) {

        //直接拼接
        let sql = `select name,password,power from public.t_user `;
        console.log(sql);

    /* 执行-并把值返回前端 */
    pgClient.query(sql).then(data => {
        res.send(data.rows)
        // console.log(data.rows);
    });
});

/* 2.查询用户数据 */
router.get("/gerusername", function(req, res) {

    //直接拼接
    let uname =req.query.chaxunname
    // console.log(req.query);
    let sql = `select name,password,power from public.t_user where name like '%${uname}%' `;
    // console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    // console.log(data.rows);
});
});

/* 3.新增用户数据 */
router.get("/Adduser", function(req, res) {

    //直接拼接
    let addName =req.query.yonghu
    let addPassword =req.query.password
    let addPower =req.query.quanxian
    // console.log(req.query);
    let sql = `insert into t_user  ("name","password","power") values ('${addName}','${addPassword}','${addPower}')`;
    // console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    // console.log(data.rows);
});
});

/* 4.用户删除 */
router.get("/Deluser", function(req, res) {

    //直接拼接
    let Name =req.query.tablename
    let Password =req.query.password
    // console.log(req.query);
    let sql = `delete from t_user  where name ='${Name}' and password ='${Password}' `;

    console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    console.log(data.rows);
});
});


/* 5.用户编辑 */
router.get("/Edituser", function(req, res) {

    //直接拼接
    let Yonghu =req.query.yonghu
    let Password =req.query.password
    let Quanxian = req.query.quanxian
    let fname = req.query.Fname
    let fpassword = req.query.Fpassword
    // console.log(req.query);
    let sql = `update t_user set name='${Yonghu}',password='${Password}',power='${Quanxian}' where name='${fname}' and password='${fpassword}' `;

    console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    console.log(data.rows);
});
});


/* 6.新增系统日志 */
router.get("/Addrizhi", function(req, res) {

    //直接拼接
    let addName =req.query.uname
    let addPower =req.query.upower
    let addCaozuo =req.query.caozuo
    let addTime =req.query.time
    // console.log(req.query);
    let sql = `insert into t_rizhi  ("name","power","caozuo","time") values ('${addName}','${addPower}','${addCaozuo}','${addTime}')`;
    console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    console.log(data.rows);
});
});

/* 7.查询系统日志 */
router.get("/getrizhi", function(req, res) {

    //直接拼接
    // console.log(req.query);
    let sql = `select name,power,caozuo,time from public.t_rizhi  `;
    console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    console.log(data.rows);
});
});

/* 8.获取所有日志 */
router.get("/getRizhi", function(req, res) {

    //直接拼接
    let sql = `select name,power,caozuo,time from public.t_rizhi `;
    console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    // console.log(data.rows);
});
});

/* 9.查询日志数据 */
router.get("/chaxunrizhi", function(req, res) {

    //直接拼接
    let uname =req.query.chaxunname
    // console.log(req.query);
    let sql = `select name,power,caozuo,time from public.t_rizhi where name like '%${uname}%' `;
    // console.log(sql);

/* 执行-并把值返回前端 */
pgClient.query(sql).then(data => {
    res.send(data.rows)
    console.log(data.rows);
});
});

module.exports = router;